Huda ranljivost v WhatsAppu terja takojšnjo posodobitev

Objavljeno: 14.5.2019 18:00 | Teme: varnost

V programu za varno komuniciranje WhatsApp, ki uporablja šifriranje od pošiljatelja do prejemnika (end-to-end) in je zato odporen na prisluškovanje, so odkrili hudo ranljivost, ki omogoča neopazno namestitev vohunske opreme. Uporabnikom svetujejo, da nemudoma posodobijo WhatsApp na zadnjo verzijo, v kateri je luknja zakrpana.

Izraelska skupina NSO je razvila programsko opremo, ki se lahko sama namesti na telefone uporabnikov WhatsAppa. Zadostuje že, da prejmemo zlonamerni klic prek WhatsAppa, pa se bo omenjena oprema ugenzdila na telefon. Ko se enkrat namesti, omogoča vohunjenje prek kamere in mikrofona, prebiranje sporočil in elektronske pošte, zbiranje lokacijskih informacij itd.

Kot pojasnjujejo v varnostnem navodilu, gre za ranljivost s prekoračitvijo predpomnilnika, ki ob prejemu posebej prilagojenih paketkov SRTCP omogoča zagon oddaljene kode. Z drugimi besedami, telefon je moč poklicati prek WhatsAppa in mu ukazati, naj namesti poljubno programsko opremo.

Ranljivost, ki je bila odkrita v začetku meseca, so nepridipravi izkoriščali tudi v praksi. Odmeva primer britanskega odvetnika za človekove pravice, ki mu je NSO tako na telefon poskusil podtakniti prisluškovalni program Pegasus. Gre za znan vohunski program, ki ga NSO prodaja vladam in obveščevalnim službam, uporabljajo pa ga tudi kriminalci in napdalci.

 

Naroči se na redna tedenska ali mesečna obvestila o novih prispevkih na naši spletni strani!
Prijava

ph

Komentirajo lahko le prijavljeni uporabniki